/**
 * 选项框（带播放按钮）
 */

cc.Class({
    extends: cc.Component,

    properties: {
        // 声音图标
        iconSound: {
            default: null,
            type: cc.Node,
        },

        _opId: 0, // 选项id
        _soundUrl: "", // 音频文件地址
    },

    /**
     * 播放声音
     */
    play() {
        if (this._soundUrl != "") {
            cc.assetManager.loadRemote(this._soundUrl, (err, audioClip) => {
                const audioId = cc.audioEngine.play(audioClip, false, 0.8);
                this.iconSound.getComponent(cc.Aimation).play("icon_sound_play");
                cc.audioEngine.setFinishCallback(audioId, () => {
                    this.iconSound.getComponent(cc.Aimation).play("icon_sound_finish");
                });
            });
        }
    },

    /**
     * 当碰撞产生的时候调用
     * @param  {Collider} other 产生碰撞的另一个碰撞组件
     * @param  {Collider} self  产生碰撞的自身的碰撞组件
     */
    onCollisionEnter: function (other, self) {},

    /**
     * 当碰撞结束后调用
     * @param  {Collider} other 产生碰撞的另一个碰撞组件
     * @param  {Collider} self  产生碰撞的自身的碰撞组件
     */
    onCollisionExit: function (other, self) {
        console.log("on collision exit");
    },
});
